Contacts

View as Markdown

Delete Contact

DELETE
/human/v0/contacts/{email_address}

Path Parameters

email_address*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X DELETE "https://api.agentry.to/human/v0/contacts/string" \  -H "Authorization: string"
{
  "inbox_id": "string",
  "email_address": "string",
  "deleted_contacts": 0,
  "gdpr_erasure_job_id": "string"
}

Get Contact Relationship

GET
/human/v0/contacts/{email_address}/relationship

Path Parameters

email_address*string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/contacts/string/relationship" \  -H "Authorization: string"
{
  "email_address": "string",
  "inbox_id": "string",
  "relationship": {
    "vip_score": 0,
    "emails_received_count": 0,
    "replies_sent_count": 0,
    "average_reply_latency_mins": 0,
    "last_interaction_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}